Package org.eclipse.ecf.remoteservice

# Interface IRemoteCall

All Known Subinterfaces:
  `IRestCall`

All Known Implementing Classes:
  `AbstractRSAClientService.RSARemoteCall`, `RemoteCall`, `RemoteCallImpl`, `RemoteCallMethod`, `RestCall`

public interface IRemoteCall
Instances of this interface are used to invoke a method call on a remote service

See Also:
  - `IRemoteService`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`DEFAULT_TIMEOUT`
Default remote call timeout is set to the value of system property 'ecf.remotecall.timeout'.

## Method Summary

Modifier and Type
Method
Description
`String`
`getMethod()`
Get the method name to call on the remote.
`Object[]`
`getParameters()`
Get the method parameters of the method to call on the remote.
`long`
`getTimeout()`
Get timeout (in ms) for the remote call.

## Field Details

### DEFAULT_TIMEOUT

static final long DEFAULT_TIMEOUT
Default remote call timeout is set to the value of system property 'ecf.remotecall.timeout'. If system property not set, the default is set to 30000ms (30s).

Since:
  4.0

## Method Details

### getMethod

String getMethod()
Get the method name to call on the remote. Must return a non-null and non-empty string

Returns:
  String name of method to call on the remote

### getParameters

Object[] getParameters()
Get the method parameters of the method to call on the remote. Will return a non-`null` array of Object parameters. The given Objects in the array must be be Serializable so that they may be serialized to deliver to remote.

Returns:
  Object [] the parameters to be provided for this call. Will not be `null`, but may be empty array.

### getTimeout

long getTimeout()
Get timeout (in ms) for the remote call.

Returns:
  long timeout in ms